Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SetParameter.ServiceClassName`, `ClientWireProtocol.SetParameter.ServiceClassName.Builder`

Enclosing class:
  `ClientWireProtocol.SetParameter`

public static interface ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getServiceClassName()`
`string service_class_name = 1;`
`ByteString`
`getServiceClassNameBytes()`
`string service_class_name = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getServiceClassName

String getServiceClassName()
`string service_class_name = 1;`

Returns:
  The serviceClassName.

### getServiceClassNameBytes

ByteString getServiceClassNameBytes()
`string service_class_name = 1;`

Returns:
  The bytes for serviceClassName.